from app.models import Job


def delete_job_(app, job_id):
    with app.app_context():
        job = Job.query.get(job_id)
        if job is None:
            raise Exception('Job {} not found!'.format(job_id))
        job.delete()
